From 4d8c6dd77427e8e581fda17b6b65ba86bfb7a815 Mon Sep 17 00:00:00 2001
From: guoshilong <123456>
Date: Mon, 27 Feb 2023 14:30:01 +0800
Subject: [PATCH] 洪水淹没

---
 corelib/common/popup/css/style.css |  290 +++++++++++++++++++++++++++++++++++++++++++++++++--------
 1 files changed, 248 insertions(+), 42 deletions(-)

diff --git a/corelib/common/popup/css/style.css b/corelib/common/popup/css/style.css
index 6cd4d36..4f4a814 100644
--- a/corelib/common/popup/css/style.css
+++ b/corelib/common/popup/css/style.css
@@ -116,12 +116,12 @@
     height: 420px;
 }
 
-.rain-box{
+.rain-box {
     width: 100%;
     height: 420px;
 }
 
-.reser-box{
+.reser-box {
     width: 100%;
     height: 420px;
 }
@@ -151,6 +151,7 @@
     width: 666px;
     height: 220px;
 }
+
 .river-course .reser-box .river-fou .river-fou-box {
     position: absolute;
     top: 0;
@@ -169,6 +170,7 @@
     width: 666px;
     height: 220px;
 }
+
 .river-course .rain-box .river-fou .river-fou-box {
     position: absolute;
     top: 0;
@@ -187,7 +189,6 @@
     width: 666px;
     height: 220px;
 }
-
 
 
 .river-one,
@@ -307,7 +308,7 @@
     padding-left: 3px;
 }
 
-.river-thead tr th{
+.river-thead tr th {
     text-align: center;
 }
 
@@ -368,9 +369,6 @@
 }
 
 
-
-
-
 /*降雨*/
 .rain-pei {
     width: 53%;
@@ -384,7 +382,7 @@
     float: left;
 }
 
-.rain-thead tr th{
+.rain-thead tr th {
     text-align: center;
 }
 
@@ -403,7 +401,8 @@
 .rain-thead tr th:nth-child(4) div {
     width: 14px;
 }
-.rain-thead tr th:nth-child(4){
+
+.rain-thead tr th:nth-child(4) {
     width: 17px;
 }
 
@@ -532,7 +531,7 @@
     width: 14px;
 }
 
-.rser-thead tr th:nth-child(4){
+.rser-thead tr th:nth-child(4) {
     width: 17px;
 }
 
@@ -586,8 +585,7 @@
     cursor: pointer;
     padding-left: 10px;
     color: #6d6d6d;
-    background: url("../img/sel.png")
-        no-repeat 175px;
+    background: url("../image/sel.png") no-repeat 175px;
 }
 
 .selectsd .input_insd input {
@@ -598,8 +596,7 @@
     cursor: pointer;
     padding-left: 10px;
     color: #6d6d6d;
-    background: url("../img/sel.png")
-    no-repeat 40px;
+    background: url("../image/sel.png") no-repeat 40px;
 }
 
 .select .city {
@@ -676,13 +673,11 @@
 }
 
 .wicon {
-    background: url("../img/data.png")
-        no-repeat 120px;
+    background: url("../image/data.png") no-repeat 120px;
 }
 
 .time-icon {
-    background: url("../img/sel.png")
-        no-repeat 128px;
+    background: url("../image/sel.png") no-repeat 128px;
 }
 
 .river-btn {
@@ -694,6 +689,7 @@
     color: #6d6d6d;
     float: left;
 }
+
 .loc-btn {
     width: 80px;
     height: 30px;
@@ -780,90 +776,300 @@
     bottom: 0px;
     top: 95px;
 }
+
 /**洪水淹没分析弹窗**/
-.flood-box{
+.flood-box {
     margin: 20px;
 }
 
-.flood-box-left{
+.flood-box-left {
     width: 80%;
 }
 
-.flood-box-left img{
+.flood-box-left img {
     width: 100%;
     height: 100%;
 }
 
-.flood-box-top{
+.flood-box-top {
     display: flex;
     width: 100%;
     height: 475px;
     border: 1px solid black;
 }
 
-.flood-box-bottom{
+.flood-box-bottom {
     text-align: right;
     margin-top: 15px;
 }
 
 /**损失分析**/
-.evaluate-analysis{
+.evaluate-analysis {
+    height: 744px;
     margin: 15px;
 }
 
+.evaluate-box {
+    height: 100%;
+}
+
 .evaluate-box-top{
-    width: 100%;
-    height: 60px;
+    height: 49%;
 }
 
 .evaluate-box-middle{
-    width: 96%;
-    height: 425px;
-    border: 1px solid black;
-    padding: 0px 10px 0px 10px;
+    height: 46%;
+    width: 443px !important;
 }
 
-.evaluate-box-top-left{
+.evaluate-box-bottom{
     display: flex;
-    font-size: 17px;
+    justify-content: center;
+    position: relative;
+    z-index: 2;
 }
 
-.evaluate-box-top-right{
-    margin-left: 70px;
+.evaluate-box-bottom input{
+    width: 86px;
+    height: 25px;
+    background-color: #124ebb;
+    border: none;
+    color: white;
+    border-radius: 5px;
 }
 
-.evaluate-box-top{
+
+.evaluate-box-bottom input:hover{
+    background: #094895
+}
+
+.export-img{
+    margin-right: 10px;
+}
+
+.save-btn{
+    margin-right: 10px;
+}
+
+.row-1{
+    display: flex;
+    margin-bottom: 5px;
+}
+
+.row-2{
     display: flex;
 }
 
-.evaluate-box-middle table{
+.list-echarts-button{
+    text-align: center;
+    display: flex;
+    flex-direction: row-reverse;
+    position: absolute;
+    right: 19px;
+    z-index: 2;
+}
+
+.list-echarts-button input{
+    width: 55px;
+    height: 20px;
+    border: none;
+    background-color: rgb(187, 186, 186);
+    color: white;
+    border-radius: 5px;
+}
+
+.choose-button {
+    background: #094895 !important;
+    border: none;
+    color: white;
+}
+
+.unchoose-button {
+    background: rgb(187, 186, 186) !important;
+    border: none;
+    color: white;
+}
+
+.evaluate-box-middle table {
     width: 100%;
 }
 
-.evaluate-table-caption{
+.table-title{
+    display: flex;
+    height: 33px;
+}
+
+.table-label{
+    width: 145%;
+    font-size: 19px;
+    text-align: center;
+    font-weight: bold;
+}
+
+.evaluate-table-caption {
     font-size: 20px;
     margin: 15px 0 15px 0;
 }
 
-.evaluate-table-thead tr td{
+.evaluate-table-thead tr th {
     text-align: center;
     border-right: 1px solid #CFCFCF;
     border-bottom: 1px solid #CFCFCF;
     color: #404040;
 }
 
-.evaluate-tbody tr td{
+.evaluate-tbody tr td {
     text-align: center;
     border-right: 1px solid #CFCFCF;
     border-bottom: 1px solid #CFCFCF;
     color: #404040;
 }
 
-.column-2{
-    margin-left: 20px;
+/**分页器**/
+.flood-analysis-pagination {
+    position: relative;
+    text-align: center;
+    zoom: 1;
+    display: flex;
+    width: 92%;
+    justify-content: flex-end;
 }
 
-.evaluate-echarts{
+.flood-analysis-pagination:before,
+.flood-analysis-pagination:after {
+    content: "";
+    display: table;
+}
+
+.flood-analysis-pagination:after {
+    clear: both;
+    overflow: hidden;
+}
+
+.flood-analysis-pagination span {
+    float: left;
+    margin: 0 5px;
+    width: 25px;
+    height: 25px;
+    line-height: 25px;
+    color: #bdbdbd;
+    font-size: 14px;
+}
+
+.flood-analysis-pagination .active {
+    float: left;
+    margin: 3px 5px;
+    width: 25px;
+    height: 25px;
+    line-height: 25px !important;
+    background: #e91e63;
+    color: #fff;
+    font-size: 14px;
+    border: 1px solid #e91e63;
+}
+
+.flood-analysis-pagination a {
+    float: left;
+    margin: 3px 5px;
+    width: 25px;
+    height: 25px;
+    line-height: 25px !important;
+    background: #fff;
+    border: 1px solid #ebebeb;
+    color: #bdbdbd;
+    font-size: 14px;
+}
+
+.flood-analysis-pagination a:hover {
+    color: #fff;
+    background: #e91e63;
+}
+
+.flood-analysis-pagination .next,
+.flood-analysis-pagination .prev {
+    font-family: "Simsun";
+    font-size: 16px;
+    font-weight: bold;
+}
+
+.now,
+.count {
+    padding: 0 5px;
+    color: #f00;
+}
+
+.eg img {
+    max-width: 800px;
+    min-height: 500px;
+}
+
+.flood-analysis-pagination input {
+    float: left;
+    margin: 3px 5px;
+    width: 25px;
+    height: 25px;
+    line-height: 25px !important;
+    text-align: center;
+    background: #fff;
+    border: 1px solid #ebebeb;
+    outline: none;
+    color: #bdbdbd;
+    font-size: 14px;
+}
+
+#pagination {
+    position: absolute;
+    margin-top: 5px;
+}
+
+.flood-analysis-pagination .jump-btn {
+    width: 38px !important;
+}
+
+.evaluate-echarts {
     width: 100%;
     display: none;
 }
+
+/**淹没图**/
+.flood-image-top img {
+    width: 100%;
+}
+
+.flood-image-bottom {
+    width: 96%;
+    text-align: right;
+}
+
+.flood-image-box .description {
+    font-size: 16px;
+}
+
+/**确认保存弹出框**/
+.confirm-popup {
+    margin-top: 5%;
+}
+
+.confirm-popup > div {
+    text-align: center;
+}
+
+.confirm-top {
+    font-size: 30px;
+}
+
+.confirm-bottom {
+    margin-top: 8%;
+}
+
+.save-name-input {
+    height: 26px;
+    width: 215px;
+}
+
+.confirm-button {
+    width: 80px;
+    height: 32px;
+}
+
+

--
Gitblit v1.9.3